com.genesyslab.wfm8.API.service.config800

## Class CfgMeal

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config800.CfgMeal

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgMeal
      extends java.lang.Object
      implements java.io.Serializable

  Meal info
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp`
    `protected int` | `wmBUId`
    `protected int` | `wmDuration`
    `protected int` | `wmEndDuration`
    `protected int` | `wmLengthAfterMeal`
    `protected int` | `wmLengthBeforeMeal`
    `protected int` | `wmMealId`
    `protected java.lang.String` | `wmName`
    `protected boolean` | `wmPaid`
    `protected java.lang.String` | `wmShortName`
    `protected java.util.List<java.lang.Integer>` | `wmSiteId`
    `protected int` | `wmSiteIdNSizeIs`
    `protected int` | `wmStartStep`
    `protected double` | `wmStartTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgMeal()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `int` | `getWmBUId()` Gets the value of the wmBUId property.
    `int` | `getWmDuration()` Gets the value of the wmDuration property.
    `int` | `getWmEndDuration()` Gets the value of the wmEndDuration property.
    `int` | `getWmLengthAfterMeal()` Gets the value of the wmLengthAfterMeal property.
    `int` | `getWmLengthBeforeMeal()` Gets the value of the wmLengthBeforeMeal property.
    `int` | `getWmMealId()` Gets the value of the wmMealId property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `java.lang.String` | `getWmShortName()` Gets the value of the wmShortName property.
    `java.util.List<java.lang.Integer>` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmSiteIdNSizeIs()` Gets the value of the wmSiteIdNSizeIs property.
    `int` | `getWmStartStep()` Gets the value of the wmStartStep property.
    `double` | `getWmStartTime()` Gets the value of the wmStartTime property.
    `int` | `hashCode()`
    `boolean` | `isWmPaid()` Gets the value of the wmPaid property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmBUId(int value)` Sets the value of the wmBUId property.
    `void` | `setWmDuration(int value)` Sets the value of the wmDuration property.
    `void` | `setWmEndDuration(int value)` Sets the value of the wmEndDuration property.
    `void` | `setWmLengthAfterMeal(int value)` Sets the value of the wmLengthAfterMeal property.
    `void` | `setWmLengthBeforeMeal(int value)` Sets the value of the wmLengthBeforeMeal property.
    `void` | `setWmMealId(int value)` Sets the value of the wmMealId property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmPaid(boolean value)` Sets the value of the wmPaid property.
    `void` | `setWmShortName(java.lang.String value)` Sets the value of the wmShortName property.
    `void` | `setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)` Sets the value of the wmSiteId property.
    `void` | `setWmSiteIdNSizeIs(int value)` Sets the value of the wmSiteIdNSizeIs property.
    `void` | `setWmStartStep(int value)` Sets the value of the wmStartStep property.
    `void` | `setWmStartTime(double value)` Sets the value of the wmStartTime property.
    `java.lang.String` | `toString()`
    `CfgMeal` | `withTimestamp(long value)`
    `CfgMeal` | `withWmBUId(int value)`
    `CfgMeal` | `withWmDuration(int value)`
    `CfgMeal` | `withWmEndDuration(int value)`
    `CfgMeal` | `withWmLengthAfterMeal(int value)`
    `CfgMeal` | `withWmLengthBeforeMeal(int value)`
    `CfgMeal` | `withWmMealId(int value)`
    `CfgMeal` | `withWmName(java.lang.String value)`
    `CfgMeal` | `withWmPaid(boolean value)`
    `CfgMeal` | `withWmShortName(java.lang.String value)`
    `CfgMeal` | `withWmSiteId(java.util.Collection<java.lang.Integer> values)`
    `CfgMeal` | `withWmSiteId(java.lang.Integer... values)`
    `CfgMeal` | `withWmSiteIdNSizeIs(int value)`
    `CfgMeal` | `withWmStartStep(int value)`
    `CfgMeal` | `withWmStartTime(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmMealId

          protected int wmMealId

    - #### wmBUId

          protected int wmBUId

    - #### wmSiteIdNSizeIs

          protected int wmSiteIdNSizeIs

    - #### wmSiteId

          protected java.util.List<java.lang.Integer> wmSiteId

    - #### wmName

          protected java.lang.String wmName

    - #### wmShortName

          protected java.lang.String wmShortName

    - #### wmPaid

          protected boolean wmPaid

    - #### wmStartTime

          protected double wmStartTime

    - #### wmEndDuration

          protected int wmEndDuration

    - #### wmDuration

          protected int wmDuration

    - #### wmLengthBeforeMeal

          protected int wmLengthBeforeMeal

    - #### wmLengthAfterMeal

          protected int wmLengthAfterMeal

    - #### wmStartStep

          protected int wmStartStep

    - #### timestamp

          protected long timestamp

  - ### Constructor Detail

    - #### CfgMeal

          public CfgMeal()

  - ### Method Detail

    - #### getWmMealId

          public int getWmMealId()

      Gets the value of the wmMealId property.

    - #### setWmMealId

          public void setWmMealId(int value)

      Sets the value of the wmMealId property.

    - #### getWmBUId

          public int getWmBUId()

      Gets the value of the wmBUId property.

    - #### setWmBUId

          public void setWmBUId(int value)

      Sets the value of the wmBUId property.

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the value of the wmSiteIdNSizeIs property.

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int value)

      Sets the value of the wmSiteIdNSizeIs property.

    - #### getWmSiteId

          public java.util.List<java.lang.Integer> getWmSiteId()

      Gets the value of the wmSiteId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmSiteId property.

      For example, to add a new item, do as follows:

              getWmSiteId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmShortName

          public java.lang.String getWmShortName()

      Gets the value of the wmShortName property.
      Returns:
        possible object is `String`

    - #### setWmShortName

          public void setWmShortName(java.lang.String value)

      Sets the value of the wmShortName property.
      Parameters:
        `value` - allowed object is `String`

    - #### isWmPaid

          public boolean isWmPaid()

      Gets the value of the wmPaid property.

    - #### setWmPaid

          public void setWmPaid(boolean value)

      Sets the value of the wmPaid property.

    - #### getWmStartTime

          public double getWmStartTime()

      Gets the value of the wmStartTime property.

    - #### setWmStartTime

          public void setWmStartTime(double value)

      Sets the value of the wmStartTime property.

    - #### getWmEndDuration

          public int getWmEndDuration()

      Gets the value of the wmEndDuration property.

    - #### setWmEndDuration

          public void setWmEndDuration(int value)

      Sets the value of the wmEndDuration property.

    - #### getWmDuration

          public int getWmDuration()

      Gets the value of the wmDuration property.

    - #### setWmDuration

          public void setWmDuration(int value)

      Sets the value of the wmDuration property.

    - #### getWmLengthBeforeMeal

          public int getWmLengthBeforeMeal()

      Gets the value of the wmLengthBeforeMeal property.

    - #### setWmLengthBeforeMeal

          public void setWmLengthBeforeMeal(int value)

      Sets the value of the wmLengthBeforeMeal property.

    - #### getWmLengthAfterMeal

          public int getWmLengthAfterMeal()

      Gets the value of the wmLengthAfterMeal property.

    - #### setWmLengthAfterMeal

          public void setWmLengthAfterMeal(int value)

      Sets the value of the wmLengthAfterMeal property.

    - #### getWmStartStep

          public int getWmStartStep()

      Gets the value of the wmStartStep property.

    - #### setWmStartStep

          public void setWmStartStep(int value)

      Sets the value of the wmStartStep property.

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withWmMealId

          public CfgMeal withWmMealId(int value)

    - #### withWmBUId

          public CfgMeal withWmBUId(int value)

    - #### withWmSiteIdNSizeIs

          public CfgMeal withWmSiteIdNSizeIs(int value)

    - #### withWmSiteId

          public CfgMeal withWmSiteId(java.lang.Integer... values)

    - #### withWmSiteId

          public CfgMeal withWmSiteId(java.util.Collection<java.lang.Integer> values)

    - #### withWmName

          public CfgMeal withWmName(java.lang.String value)

    - #### withWmShortName

          public CfgMeal withWmShortName(java.lang.String value)

    - #### withWmPaid

          public CfgMeal withWmPaid(boolean value)

    - #### withWmStartTime

          public CfgMeal withWmStartTime(double value)

    - #### withWmEndDuration

          public CfgMeal withWmEndDuration(int value)

    - #### withWmDuration

          public CfgMeal withWmDuration(int value)

    - #### withWmLengthBeforeMeal

          public CfgMeal withWmLengthBeforeMeal(int value)

    - #### withWmLengthAfterMeal

          public CfgMeal withWmLengthAfterMeal(int value)

    - #### withWmStartStep

          public CfgMeal withWmStartStep(int value)

    - #### withTimestamp

          public CfgMeal withTimestamp(long value)

    - #### setWmSiteId

          public void setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)

      Sets the value of the wmSiteId property.
      Parameters:
        `wmSiteId` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.